Get Performance History
Retrieve daily performance snapshots for a specified YouTube creator, including upload activity, subscriber growth, engagement metrics, and video performance. Dates are returned as Unix timestamps in milliseconds.
curl -X GET "https://apiv3.creatordb.app/youtube/performance-history?channelId=UCX6OQ3DkcsbYNE6H8uQQuVA&pastDayRange=7" \
-H "Content-Type: application/json" \
-H "api-key: <YOUR_API-KEY_HERE>"const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://apiv3.creatordb.app/youtube/performance-history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://apiv3.creatordb.app/youtube/performance-history"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://apiv3.creatordb.app/youtube/performance-history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://apiv3.creatordb.app/youtube/performance-history")
.header("api-key", "<api-key>")
.asString();{
"data": {
"histories": [
{
"timestamp": 1767837367237,
"totalSubscribers": 459000000,
"totalContents": 940,
"videosPerformanceAll": {
"likes": {
"all": 710746666,
"avg": 7252517,
"median": 3550000,
"min": 0,
"max": 0
},
"comments": {
"all": 4968208,
"avg": 50696,
"median": 0,
"min": 0,
"max": 0
},
"views": {
"all": 26294349424,
"avg": 268309688,
"median": 192170860,
"min": 26793336,
"max": 1601867355
},
"engagement": {
"avgEngagementRate": 0.0267,
"likesPerSubscriber": 0.0158,
"commentsPerSubscriber": 0.0001,
"viewsPerSubscriber": 0.5846,
"engagementConsistency": {
"cv": 0.4962,
"medianVsMean": 0.8586,
"topBottomRatio": 0,
"consistencyScore": null,
"consistencyLevel": null
}
}
},
"shortsPerformanceAll": {
"likes": {
"all": 1100753505,
"avg": 11586879,
"median": 10021835,
"min": 0,
"max": 0
},
"comments": {
"all": 3370220,
"avg": 35476,
"median": 0,
"min": 0,
"max": 0
},
"views": {
"all": 36964836775,
"avg": 389103545,
"median": 361915758,
"min": 0,
"max": 0
},
"engagement": {
"avgEngagementRate": 0.0304,
"likesPerSubscriber": 0.0252,
"commentsPerSubscriber": 0.0001,
"viewsPerSubscriber": 0.8477,
"engagementConsistency": {
"cv": 0.4424,
"medianVsMean": 0.9726,
"topBottomRatio": 0,
"consistencyScore": null,
"consistencyLevel": null
}
}
}
},
{
"timestamp": 1767750967237,
"totalSubscribers": 459000000,
"totalContents": 939,
"videosPerformanceAll": {
"likes": {
"all": 711273549,
"avg": 7332717,
"median": 3600000,
"min": 0,
"max": 0
},
"comments": {
"all": 4988419,
"avg": 51427,
"median": 0,
"min": 0,
"max": 0
},
"views": {
"all": 26338437548,
"avg": 271530284,
"median": 192581549,
"min": 29219413,
"max": 1601867355
},
"engagement": {
"avgEngagementRate": 0.0266,
"likesPerSubscriber": 0.016,
"commentsPerSubscriber": 0.0001,
"viewsPerSubscriber": 0.5916,
"engagementConsistency": {
"cv": 0.4985,
"medianVsMean": 0.8618,
"topBottomRatio": 0,
"consistencyScore": null,
"consistencyLevel": null
}
}
},
"shortsPerformanceAll": {
"likes": {
"all": 1100070624,
"avg": 11459069,
"median": 10010917,
"min": 0,
"max": 0
},
"comments": {
"all": 3346944,
"avg": 34864,
"median": 0,
"min": 0,
"max": 0
},
"views": {
"all": 36904779936,
"avg": 384424791,
"median": 358022029,
"min": 0,
"max": 0
},
"engagement": {
"avgEngagementRate": 0.0304,
"likesPerSubscriber": 0.025,
"commentsPerSubscriber": 0.0001,
"viewsPerSubscriber": 0.8375,
"engagementConsistency": {
"cv": 0.4403,
"medianVsMean": 0.952,
"topBottomRatio": 0,
"consistencyScore": null,
"consistencyLevel": null
}
}
}
},
{
"timestamp": 1767664567237,
"totalSubscribers": 458000000,
"totalContents": 938,
"videosPerformanceAll": {
"likes": {
"all": 708832544,
"avg": 7307552,
"median": 3600000,
"min": 0,
"max": 0
},
"comments": {
"all": 4980659,
"avg": 51347,
"median": 0,
"min": 0,
"max": 0
},
"views": {
"all": 26164009529,
"avg": 269732057,
"median": 192581549,
"min": 6390619,
"max": 1601867355
},
"engagement": {
"avgEngagementRate": 0.0272,
"likesPerSubscriber": 0.016,
"commentsPerSubscriber": 0.0001,
"viewsPerSubscriber": 0.5889,
"engagementConsistency": {
"cv": 0.5163,
"medianVsMean": 0.8455,
"topBottomRatio": 0,
"consistencyScore": null,
"consistencyLevel": null
}
}
},
"shortsPerformanceAll": {
"likes": {
"all": 1101100992,
"avg": 11469802,
"median": 10010917,
"min": 0,
"max": 0
},
"comments": {
"all": 3346368,
"avg": 34858,
"median": 0,
"min": 0,
"max": 0
},
"views": {
"all": 36961343808,
"avg": 385013998,
"median": 358022029,
"min": 0,
"max": 0
},
"engagement": {
"avgEngagementRate": 0.0299,
"likesPerSubscriber": 0.025,
"commentsPerSubscriber": 0.0001,
"viewsPerSubscriber": 0.8406,
"engagementConsistency": {
"cv": 0.4251,
"medianVsMean": 0.958,
"topBottomRatio": 0,
"consistencyScore": null,
"consistencyLevel": null
}
}
}
},
{
"timestamp": 1767578167237,
"totalSubscribers": 458000000,
"totalContents": 938,
"videosPerformanceAll": {
"likes": {
"all": 715032590,
"avg": 7371470,
"median": 3600000,
"min": 0,
"max": 0
},
"comments": {
"all": 4990941,
"avg": 51453,
"median": 0,
"min": 0,
"max": 0
},
"views": {
"all": 26369612960,
"avg": 271851680,
"median": 197386359,
"min": 6390619,
"max": 1601867355
},
"engagement": {
"avgEngagementRate": 0.0273,
"likesPerSubscriber": 0.0161,
"commentsPerSubscriber": 0.0001,
"viewsPerSubscriber": 0.5936,
"engagementConsistency": {
"cv": 0.5135,
"medianVsMean": 0.8443,
"topBottomRatio": 0,
"consistencyScore": null,
"consistencyLevel": null
}
}
},
"shortsPerformanceAll": {
"likes": {
"all": 1094445024,
"avg": 11400469,
"median": 10010917,
"min": 0,
"max": 0
},
"comments": {
"all": 3334368,
"avg": 34733,
"median": 0,
"min": 0,
"max": 0
},
"views": {
"all": 36704292384,
"avg": 382336379,
"median": 351685332,
"min": 0,
"max": 0
},
"engagement": {
"avgEngagementRate": 0.0298,
"likesPerSubscriber": 0.0249,
"commentsPerSubscriber": 0.0001,
"viewsPerSubscriber": 0.8348,
"engagementConsistency": {
"cv": 0.4274,
"medianVsMean": 0.9599,
"topBottomRatio": 0,
"consistencyScore": null,
"consistencyLevel": null
}
}
}
},
{
"timestamp": 1767491767237,
"totalSubscribers": 458000000,
"totalContents": 938,
"videosPerformanceAll": {
"likes": {
"all": 715032590,
"avg": 7371470,
"median": 3600000,
"min": 0,
"max": 0
},
"comments": {
"all": 4990844,
"avg": 51452,
"median": 0,
"min": 0,
"max": 0
},
"views": {
"all": 26368952681,
"avg": 271844873,
"median": 197386359,
"min": 6390619,
"max": 1601867355
},
"engagement": {
"avgEngagementRate": 0.0273,
"likesPerSubscriber": 0.0161,
"commentsPerSubscriber": 0.0001,
"viewsPerSubscriber": 0.5935,
"engagementConsistency": {
"cv": 0.5136,
"medianVsMean": 0.8441,
"topBottomRatio": 0,
"consistencyScore": null,
"consistencyLevel": null
}
}
},
"shortsPerformanceAll": {
"likes": {
"all": 1094312928,
"avg": 11399093,
"median": 10010917,
"min": 0,
"max": 0
},
"comments": {
"all": 3334080,
"avg": 34730,
"median": 0,
"min": 0,
"max": 0
},
"views": {
"all": 36701212704,
"avg": 382304299,
"median": 351685332,
"min": 0,
"max": 0
},
"engagement": {
"avgEngagementRate": 0.0298,
"likesPerSubscriber": 0.0249,
"commentsPerSubscriber": 0.0001,
"viewsPerSubscriber": 0.8347,
"engagementConsistency": {
"cv": 0.4276,
"medianVsMean": 0.9601,
"topBottomRatio": 0,
"consistencyScore": null,
"consistencyLevel": null
}
}
}
},
{
"timestamp": 1767405367237,
"totalSubscribers": 458000000,
"totalContents": 938,
"videosPerformanceAll": {
"likes": {
"all": 715032590,
"avg": 7371470,
"median": 3600000,
"min": 0,
"max": 0
},
"comments": {
"all": 4990456,
"avg": 51448,
"median": 0,
"min": 0,
"max": 0
},
"views": {
"all": 26350045926,
"avg": 271649958,
"median": 197386359,
"min": 6390619,
"max": 1601867355
},
"engagement": {
"avgEngagementRate": 0.0273,
"likesPerSubscriber": 0.0161,
"commentsPerSubscriber": 0.0001,
"viewsPerSubscriber": 0.5931,
"engagementConsistency": {
"cv": 0.5133,
"medianVsMean": 0.8438,
"topBottomRatio": 0,
"consistencyScore": null,
"consistencyLevel": null
}
}
},
"shortsPerformanceAll": {
"likes": {
"all": 1094312928,
"avg": 11399093,
"median": 10010917,
"min": 0,
"max": 0
},
"comments": {
"all": 3333984,
"avg": 34729,
"median": 0,
"min": 0,
"max": 0
},
"views": {
"all": 36699433152,
"avg": 382285762,
"median": 351685332,
"min": 0,
"max": 0
},
"engagement": {
"avgEngagementRate": 0.0298,
"likesPerSubscriber": 0.0249,
"commentsPerSubscriber": 0.0001,
"viewsPerSubscriber": 0.8347,
"engagementConsistency": {
"cv": 0.4275,
"medianVsMean": 0.96,
"topBottomRatio": 0,
"consistencyScore": null,
"consistencyLevel": null
}
}
}
}
]
},
"creditsUsed": 1,
"creditsAvailable": -1,
"traceId": "1b18529129b283dea751c6aac22445d5",
"timestamp": 1767923767306,
"errorCode": "",
"errorDescription": "",
"success": true
}Authorizations
The valid CreatorDB API key for authentication.
Query Parameters
Unique channel ID.
1 - 50^UC[a-zA-Z0-9_-]{22}$"UCBR8-60-B28hp2BmDPdntcQ"
Returns one data point per day over the requested range. For example, 30 returns the past 30 days of daily snapshots. Valid range: 1-365.
^[1-9]\d*$"30"
Response
YouTube creator performance historical data returned successfully.
The YouTube performance historical data.
Show child attributes
Show child attributes
Number of API credits consumed by this request.
1
Number of API credits remaining.
-1
Unique trace ID for each request.
"f8e4a3b2c1d0e9f8a7b6c5d4e3f2a1b0"
Time the response was generated, represented as a Unix timestamp in milliseconds.
1750732453635
Error code returned if the request fails. Empty if the request is successful.
""
Description of the error. Empty if the request is successful.
""
true if the request is successful.
true
curl -X GET "https://apiv3.creatordb.app/youtube/performance-history?channelId=UCX6OQ3DkcsbYNE6H8uQQuVA&pastDayRange=7" \
-H "Content-Type: application/json" \
-H "api-key: <YOUR_API-KEY_HERE>"const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://apiv3.creatordb.app/youtube/performance-history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://apiv3.creatordb.app/youtube/performance-history"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://apiv3.creatordb.app/youtube/performance-history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://apiv3.creatordb.app/youtube/performance-history")
.header("api-key", "<api-key>")
.asString();{
"data": {
"histories": [
{
"timestamp": 1767837367237,
"totalSubscribers": 459000000,
"totalContents": 940,
"videosPerformanceAll": {
"likes": {
"all": 710746666,
"avg": 7252517,
"median": 3550000,
"min": 0,
"max": 0
},
"comments": {
"all": 4968208,
"avg": 50696,
"median": 0,
"min": 0,
"max": 0
},
"views": {
"all": 26294349424,
"avg": 268309688,
"median": 192170860,
"min": 26793336,
"max": 1601867355
},
"engagement": {
"avgEngagementRate": 0.0267,
"likesPerSubscriber": 0.0158,
"commentsPerSubscriber": 0.0001,
"viewsPerSubscriber": 0.5846,
"engagementConsistency": {
"cv": 0.4962,
"medianVsMean": 0.8586,
"topBottomRatio": 0,
"consistencyScore": null,
"consistencyLevel": null
}
}
},
"shortsPerformanceAll": {
"likes": {
"all": 1100753505,
"avg": 11586879,
"median": 10021835,
"min": 0,
"max": 0
},
"comments": {
"all": 3370220,
"avg": 35476,
"median": 0,
"min": 0,
"max": 0
},
"views": {
"all": 36964836775,
"avg": 389103545,
"median": 361915758,
"min": 0,
"max": 0
},
"engagement": {
"avgEngagementRate": 0.0304,
"likesPerSubscriber": 0.0252,
"commentsPerSubscriber": 0.0001,
"viewsPerSubscriber": 0.8477,
"engagementConsistency": {
"cv": 0.4424,
"medianVsMean": 0.9726,
"topBottomRatio": 0,
"consistencyScore": null,
"consistencyLevel": null
}
}
}
},
{
"timestamp": 1767750967237,
"totalSubscribers": 459000000,
"totalContents": 939,
"videosPerformanceAll": {
"likes": {
"all": 711273549,
"avg": 7332717,
"median": 3600000,
"min": 0,
"max": 0
},
"comments": {
"all": 4988419,
"avg": 51427,
"median": 0,
"min": 0,
"max": 0
},
"views": {
"all": 26338437548,
"avg": 271530284,
"median": 192581549,
"min": 29219413,
"max": 1601867355
},
"engagement": {
"avgEngagementRate": 0.0266,
"likesPerSubscriber": 0.016,
"commentsPerSubscriber": 0.0001,
"viewsPerSubscriber": 0.5916,
"engagementConsistency": {
"cv": 0.4985,
"medianVsMean": 0.8618,
"topBottomRatio": 0,
"consistencyScore": null,
"consistencyLevel": null
}
}
},
"shortsPerformanceAll": {
"likes": {
"all": 1100070624,
"avg": 11459069,
"median": 10010917,
"min": 0,
"max": 0
},
"comments": {
"all": 3346944,
"avg": 34864,
"median": 0,
"min": 0,
"max": 0
},
"views": {
"all": 36904779936,
"avg": 384424791,
"median": 358022029,
"min": 0,
"max": 0
},
"engagement": {
"avgEngagementRate": 0.0304,
"likesPerSubscriber": 0.025,
"commentsPerSubscriber": 0.0001,
"viewsPerSubscriber": 0.8375,
"engagementConsistency": {
"cv": 0.4403,
"medianVsMean": 0.952,
"topBottomRatio": 0,
"consistencyScore": null,
"consistencyLevel": null
}
}
}
},
{
"timestamp": 1767664567237,
"totalSubscribers": 458000000,
"totalContents": 938,
"videosPerformanceAll": {
"likes": {
"all": 708832544,
"avg": 7307552,
"median": 3600000,
"min": 0,
"max": 0
},
"comments": {
"all": 4980659,
"avg": 51347,
"median": 0,
"min": 0,
"max": 0
},
"views": {
"all": 26164009529,
"avg": 269732057,
"median": 192581549,
"min": 6390619,
"max": 1601867355
},
"engagement": {
"avgEngagementRate": 0.0272,
"likesPerSubscriber": 0.016,
"commentsPerSubscriber": 0.0001,
"viewsPerSubscriber": 0.5889,
"engagementConsistency": {
"cv": 0.5163,
"medianVsMean": 0.8455,
"topBottomRatio": 0,
"consistencyScore": null,
"consistencyLevel": null
}
}
},
"shortsPerformanceAll": {
"likes": {
"all": 1101100992,
"avg": 11469802,
"median": 10010917,
"min": 0,
"max": 0
},
"comments": {
"all": 3346368,
"avg": 34858,
"median": 0,
"min": 0,
"max": 0
},
"views": {
"all": 36961343808,
"avg": 385013998,
"median": 358022029,
"min": 0,
"max": 0
},
"engagement": {
"avgEngagementRate": 0.0299,
"likesPerSubscriber": 0.025,
"commentsPerSubscriber": 0.0001,
"viewsPerSubscriber": 0.8406,
"engagementConsistency": {
"cv": 0.4251,
"medianVsMean": 0.958,
"topBottomRatio": 0,
"consistencyScore": null,
"consistencyLevel": null
}
}
}
},
{
"timestamp": 1767578167237,
"totalSubscribers": 458000000,
"totalContents": 938,
"videosPerformanceAll": {
"likes": {
"all": 715032590,
"avg": 7371470,
"median": 3600000,
"min": 0,
"max": 0
},
"comments": {
"all": 4990941,
"avg": 51453,
"median": 0,
"min": 0,
"max": 0
},
"views": {
"all": 26369612960,
"avg": 271851680,
"median": 197386359,
"min": 6390619,
"max": 1601867355
},
"engagement": {
"avgEngagementRate": 0.0273,
"likesPerSubscriber": 0.0161,
"commentsPerSubscriber": 0.0001,
"viewsPerSubscriber": 0.5936,
"engagementConsistency": {
"cv": 0.5135,
"medianVsMean": 0.8443,
"topBottomRatio": 0,
"consistencyScore": null,
"consistencyLevel": null
}
}
},
"shortsPerformanceAll": {
"likes": {
"all": 1094445024,
"avg": 11400469,
"median": 10010917,
"min": 0,
"max": 0
},
"comments": {
"all": 3334368,
"avg": 34733,
"median": 0,
"min": 0,
"max": 0
},
"views": {
"all": 36704292384,
"avg": 382336379,
"median": 351685332,
"min": 0,
"max": 0
},
"engagement": {
"avgEngagementRate": 0.0298,
"likesPerSubscriber": 0.0249,
"commentsPerSubscriber": 0.0001,
"viewsPerSubscriber": 0.8348,
"engagementConsistency": {
"cv": 0.4274,
"medianVsMean": 0.9599,
"topBottomRatio": 0,
"consistencyScore": null,
"consistencyLevel": null
}
}
}
},
{
"timestamp": 1767491767237,
"totalSubscribers": 458000000,
"totalContents": 938,
"videosPerformanceAll": {
"likes": {
"all": 715032590,
"avg": 7371470,
"median": 3600000,
"min": 0,
"max": 0
},
"comments": {
"all": 4990844,
"avg": 51452,
"median": 0,
"min": 0,
"max": 0
},
"views": {
"all": 26368952681,
"avg": 271844873,
"median": 197386359,
"min": 6390619,
"max": 1601867355
},
"engagement": {
"avgEngagementRate": 0.0273,
"likesPerSubscriber": 0.0161,
"commentsPerSubscriber": 0.0001,
"viewsPerSubscriber": 0.5935,
"engagementConsistency": {
"cv": 0.5136,
"medianVsMean": 0.8441,
"topBottomRatio": 0,
"consistencyScore": null,
"consistencyLevel": null
}
}
},
"shortsPerformanceAll": {
"likes": {
"all": 1094312928,
"avg": 11399093,
"median": 10010917,
"min": 0,
"max": 0
},
"comments": {
"all": 3334080,
"avg": 34730,
"median": 0,
"min": 0,
"max": 0
},
"views": {
"all": 36701212704,
"avg": 382304299,
"median": 351685332,
"min": 0,
"max": 0
},
"engagement": {
"avgEngagementRate": 0.0298,
"likesPerSubscriber": 0.0249,
"commentsPerSubscriber": 0.0001,
"viewsPerSubscriber": 0.8347,
"engagementConsistency": {
"cv": 0.4276,
"medianVsMean": 0.9601,
"topBottomRatio": 0,
"consistencyScore": null,
"consistencyLevel": null
}
}
}
},
{
"timestamp": 1767405367237,
"totalSubscribers": 458000000,
"totalContents": 938,
"videosPerformanceAll": {
"likes": {
"all": 715032590,
"avg": 7371470,
"median": 3600000,
"min": 0,
"max": 0
},
"comments": {
"all": 4990456,
"avg": 51448,
"median": 0,
"min": 0,
"max": 0
},
"views": {
"all": 26350045926,
"avg": 271649958,
"median": 197386359,
"min": 6390619,
"max": 1601867355
},
"engagement": {
"avgEngagementRate": 0.0273,
"likesPerSubscriber": 0.0161,
"commentsPerSubscriber": 0.0001,
"viewsPerSubscriber": 0.5931,
"engagementConsistency": {
"cv": 0.5133,
"medianVsMean": 0.8438,
"topBottomRatio": 0,
"consistencyScore": null,
"consistencyLevel": null
}
}
},
"shortsPerformanceAll": {
"likes": {
"all": 1094312928,
"avg": 11399093,
"median": 10010917,
"min": 0,
"max": 0
},
"comments": {
"all": 3333984,
"avg": 34729,
"median": 0,
"min": 0,
"max": 0
},
"views": {
"all": 36699433152,
"avg": 382285762,
"median": 351685332,
"min": 0,
"max": 0
},
"engagement": {
"avgEngagementRate": 0.0298,
"likesPerSubscriber": 0.0249,
"commentsPerSubscriber": 0.0001,
"viewsPerSubscriber": 0.8347,
"engagementConsistency": {
"cv": 0.4275,
"medianVsMean": 0.96,
"topBottomRatio": 0,
"consistencyScore": null,
"consistencyLevel": null
}
}
}
}
]
},
"creditsUsed": 1,
"creditsAvailable": -1,
"traceId": "1b18529129b283dea751c6aac22445d5",
"timestamp": 1767923767306,
"errorCode": "",
"errorDescription": "",
"success": true
}